package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 乐团学生费用表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("music_group_student_fee_")
public class MusicGroupStudentFee extends Model<MusicGroupStudentFee> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("music_group_id_")
    private Integer musicGroupId;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 课程费用
     */
    @TableField("course_fee_")
    private BigDecimal courseFee;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public MusicGroupStudentFee setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public MusicGroupStudentFee setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public MusicGroupStudentFee setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public BigDecimal getCourseFee() {
        return courseFee;
    }

    public MusicGroupStudentFee setCourseFee(BigDecimal courseFee) {
        this.courseFee = courseFee;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MusicGroupStudentFee setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MusicGroupStudentFee setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MusicGroupStudentFee{" +
        ", id=" + id +
        ", musicGroupId=" + musicGroupId +
        ", userId=" + userId +
        ", courseFee=" + courseFee +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
